<!-- -------------------- ./doc/part_addfil_jqfu.html -------------------- -->

<h2>Ajouter des documents</h2>

<a href="<?php echo $this->URL->GetInnerMethod('AddFile1', 'mode=classic'); ?>"></a>


<div class="fr-input-group fr-grid-row">
    <div class="os-dropzone fr-col-12 fr-col-md-6">
        <span>Sélectionnez des fichiers…</span>
        <button class="fr-btn fr-btn--secondary" type="button" onclick="$('#fileupload').click()">
            Parcourir
        </button>
        <input id="fileupload" type="file" name="files[]" multiple style="display:none;">
        <p>… ou glissez/déposez vos fichiers ici</p>
    </div>

    <!-- The container for the uploaded files  and  end operation -->
    <div class="os-dropped-files files fr-col-12 fr-col-md-6">
        <strong>Fichiers téléversés :</strong>
        <ul id="files"></ul>
    </div>
</div>

<div id="progress" class="progress" style="display: none;">
    <div class="progress-bar progress-bar-success"></div>
</div>

<div id="uploadend" style="display: none">
    <hr class="fr-mt-3v" />
    <a href="<?php echo $this->URL->GetDosMethod('Display'); ?>" class="fr-btn fr-btn--sm" role="button">Terminer</a>
</div>

<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="/pub/jqfu/js/vendor/jquery.ui.widget.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="/pub/jqfu/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="/pub/jqfu/js/jquery.fileupload.js"></script>
<script>
    /*jslint unparam: true */
    /*global window, $ */
    $(function() {
        'use strict';
        // Change this to the location of your server-side upload handler:
        var url = '<?php echo $this->URL->GetDosMethod('AddFileJQFU'); ?>';
        $('#fileupload').fileupload({
                url: url,
                dataType: 'json',
                done: function(e, data) {
                    $.each(data.result.files, function(index, file) {
                        $('<li/>').text(file.name).appendTo('#files');
                    });
                },
                fail: function (e, data) {
                    alert('Erreur pour ' + data.files.map(f => f.name) + ' : ' + Object.values(data.messages).join(', '));
                },
                progressall: function(e, data) {
                    $('#progress').css('display', 'flex');
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                    );
                },
                stop: function(e) {
                    $('#uploadend').show();
                }
            }).prop('disabled', !$.support.fileInput)
            .parent().addClass($.support.fileInput ? undefined : 'disabled');
    });
</script>
